%define		mod_name	proctitle
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: set process name to currently serverd virtual host
Name:		apache-mod_%{mod_name}
Version:	0.4
Release:	4
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	https://github.com/stass/mod_proctitle/archive/0.4.tar.gz
# Source0-md5:	83043432da02f0ebf6de4badbe404dcd
Patch0:		setproctitle.patch
URL:		https://github.com/stass/mod_proctitle
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	setproctitle-devel
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_proctitle is an experimental module for Apache httpd 2.x which
changes process name to currently served virtual host.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

CPPFLAGS="%{rpmcppflags} -D__unused='__attribute__ ((__unused__))'" \
APXS="%{apxs}" \
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cat > $RPM_BUILD_ROOT%{_sysconfdir}/90_mod_%{mod_name}.conf << 'EOF'
LoadModule %{mod_name}_module modules/mod_%{mod_name}.so
ProctitleEnable On
# ProctitleUriSep ::
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README 
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/mod_proctitle.so
%changelog
* Fri May 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_proctitle.git;a=log;h=master

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> e219e7b
- release 4 (by relup.sh)

* Wed Mar 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c00e960
- rel 3; fix ProctitleEnable directive; add docs

* Wed Mar 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e16dbc
- rel 2; force apxs setting

* Wed Mar 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1407fa5
- switch to modern version of module; use setproctitle library

* Wed Mar 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cee1df
- rel .2

* Fri Dec 09 2011 Elan Ruusamäe <glen@pld-linux.org> 5d018c5
- fix config dir

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> c65d608
- HTTP group

* Mon Jul 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd338e
- comment fixed

* Mon Jul 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 62ac6e3
- rel .1

* Mon Jul 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e948219
- dlfcn.h for dlsym

* Mon Jul 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d63b657
- initial

* Mon Jul 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 61a0d83
- very experimental module for changing apache process name to currently served vhost

